<script>
  let id = Math.random().toString().replace("0.", "red");
</script>

<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 128 128" aria-label="red">
  <linearGradient
    id="{id}__a"
    gradientUnits="userSpaceOnUse"
    x1="64.054"
    y1="25.452"
    x2="64.054"
    y2="104.061"
  >
    <stop offset="0" stop-color="#ff4d4a" />
    <stop offset=".969" stop-color="#e53935" />
  </linearGradient>
  <path
    d="M59.47 121.86L21.32 67.93c-1.67-2.41-1.85-5.2 0-7.86L59.47 6.14c2.21-3.32
    6.82-3.25 9.07 0l38.15 53.93c1.95 2.49 1.86 5.45 0 7.86l-38.15 53.93c-2.37
    3.1-6.79 3.01-9.07 0z"
    fill="url(#{id}__a)"
  />
</svg>
